Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## millgamej2se11
Class Player

    java.lang.Object
      millgamej2se11.Player

Direct Known Subclasses:
  AIPlayer

    public class Player

extends java.lang.Object

A Malom játék játékosait reprezentáló osztály.

Field Summary
`static int` | `NO_ONE` A játékos hiányát jelölő konstans
`static int` | `PLAYER_ONE` Az első játékost jelölő konstans
`static int` | `PLAYER_TWO` A második játékost jelölő konstans

Constructor Summary
`Player(int id)` Egy játékos egyedet létrehozó konstruktor.

Method Summary
`void` | `addMill(Mill mill)` Hozzáadja a megadott malmot a játékos malmainak listájához.
`void` | `decMarkers()` A játékos bábuinak számát csökkenti eggyel.
`void` | `dragged()` A játékos a 'felvett' állapotba kerül.
`void` | `dropped()` A játékos a 'felvett' állapotból kilép.
`java.awt.Color` | `getColor()` Visszaadja a játékos bábuinak színét.
`int` | `getID()` Visszaadja a játékos azonoítóját
`int` | `getMarkersNumber()` Visszaadja a játékos bábuinak számát.
`boolean` | `hasDraggedMarker()` Megállapítja, hogy a játékosnak van-e a tábláról felvett, de még le nem tett bábuja.
`boolean` | `hasFreePointIn(int[][] state)` Megállapítja, hogy a játékosnak van-e eltávolítható pontja a megadott állásban.
`boolean` | `hasUnusedMill()` Megállapítja, hogy a játékosnak van-e még fel nem használt malma.
`void` | `incMarkers()` A játékos bábuinak számát növeli eggyel.
`boolean` | `millContains(Point point)` Megállapítja a megadott pontról, hogy eleme-e a játékos valamely malmának.
`void` | `removeMillIfContains(Point point)` Eltávolítja a játékos azon malmait, melyek a megadott pontot tartalmazzák, ha van ilyen.
`void` | `setMillUsed()` A játékos malmát 'halsznált' jelzővel látja el

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_ONE

    public static final int NO_ONE

  A játékos hiányát jelölő konstans

  See Also:
    Constant Field Values

### PLAYER_ONE

    public static final int PLAYER_ONE

  Az első játékost jelölő konstans

  See Also:
    Constant Field Values

### PLAYER_TWO

    public static final int PLAYER_TWO

  A második játékost jelölő konstans

  See Also:
    Constant Field Values

Constructor Detail

### Player

    public Player(int id)

  Egy játékos egyedet létrehozó konstruktor.

  Parameters:
    `id` - A játékos azonosítója

Method Detail

### getID

    public int getID()

  Visszaadja a játékos azonoítóját

  Returns:
    A játékos azonosítója

### addMill

    public void addMill(Mill mill)

  Hozzáadja a megadott malmot a játékos malmainak listájához.

  Parameters:
    `mill` - Az új malom

### setMillUsed

    public void setMillUsed()

  A játékos malmát 'halsznált' jelzővel látja el

### removeMillIfContains

    public void removeMillIfContains(Point point)

  Eltávolítja a játékos azon malmait, melyek a megadott pontot tartalmazzák, ha van ilyen.

  Parameters:
    `point` - A keresett pont

### millContains

    public boolean millContains(Point point)

  Megállapítja a megadott pontról, hogy eleme-e a játékos valamely malmának.

  Parameters:
    `point` - A keresett pont
  Returns:
    true, ha a pont eleme egy malomnak, false egyébként.

### hasUnusedMill

    public boolean hasUnusedMill()

  Megállapítja, hogy a játékosnak van-e még fel nem használt malma.

  Returns:
    true, ha van fel nem használt malom, false egyébként.

### hasFreePointIn

    public boolean hasFreePointIn(int[][] state)

  Megállapítja, hogy a játékosnak van-e eltávolítható pontja a megadott állásban.

  Parameters:
    `state` - A vizsgált állás
  Returns:
    true, ha van eltávolítható pont, false egyébként.

### hasDraggedMarker

    public boolean hasDraggedMarker()

  Megállapítja, hogy a játékosnak van-e a tábláról felvett, de még le nem tett bábuja.

  Returns:
    true, ha van felvett bábu, false egyébként.

### dragged

    public void dragged()

  A játékos a 'felvett' állapotba kerül.

### dropped

    public void dropped()

  A játékos a 'felvett' állapotból kilép.

### incMarkers

    public void incMarkers()

  A játékos bábuinak számát növeli eggyel.

### decMarkers

    public void decMarkers()

  A játékos bábuinak számát csökkenti eggyel.

### getMarkersNumber

    public int getMarkersNumber()

  Visszaadja a játékos bábuinak számát.

  Returns:
    A játékos bábuinak száma.

### getColor

    public java.awt.Color getColor()

  Visszaadja a játékos bábuinak színét.

  Returns:
    A játékos bábuinak színét

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD